Status: Closed Start date: 2008-09-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

On a fresh checkout of r1826 when running `rake test:functionals` (or just `rake`) I get 5 test failures where I can’t immediately spot

the cause. When running the test files on their own they pass. This suggests that the tests aren’t independent, that they fail because

some data in the test db isn’t right.

Here’s the output of `rake test:functionals`

> rake test:functionals 

(in /Users/gerrit/Development/trike/trike-redmine)

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby -Ilib:test "/Library/Ruby/Gems

/1.8/gems/rake-0.8.1/lib/rake/rake_test_loader.rb" "test/functional/account_controller_test.rb" "t

est/functional/admin_controller_test.rb" "test/functional/application_controller_test.rb" "test/fu

nctional/attachments_controller_test.rb" "test/functional/boards_controller_test.rb" "test/functio

nal/documents_controller_test.rb" "test/functional/issues_controller_test.rb" "test/functional/jou

rnals_controller_test.rb" "test/functional/mail_handler_controller_test.rb" "test/functional/messa

ges_controller_test.rb" "test/functional/my_controller_test.rb" "test/functional/news_controller_t

est.rb" "test/functional/projects_controller_test.rb" "test/functional/queries_controller_test.rb"

 "test/functional/repositories_bazaar_controller_test.rb" "test/functional/repositories_controller

_test.rb" "test/functional/repositories_cvs_controller_test.rb" "test/functional/repositories_darc

s_controller_test.rb" "test/functional/repositories_git_controller_test.rb" "test/functional/repos

itories_mercurial_controller_test.rb" "test/functional/repositories_subversion_controller_test.rb"

 "test/functional/roles_controller_test.rb" "test/functional/search_controller_test.rb" "test/func

tional/settings_controller_test.rb" "test/functional/sys_api_test.rb" "test/functional/timelog_con

troller_test.rb" "test/functional/users_controller_test.rb" "test/functional/versions_controller_t

est.rb" "test/functional/watchers_controller_test.rb" "test/functional/welcome_controller_test.rb"

 "test/functional/wiki_controller_test.rb" "test/functional/wikis_controller_test.rb" 

RMagick not installed. Skipping tests !!!

Bazaar test repository NOT FOUND. Skipping functional tests !!!

CVS test repository NOT FOUND. Skipping functional tests !!!

Darcs test repository NOT FOUND. Skipping functional tests !!!

Git test repository NOT FOUND. Skipping functional tests !!!

Mercurial test repository NOT FOUND. Skipping functional tests !!!

Subversion test repository NOT FOUND. Skipping functional tests !!!

Loaded suite /Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake/rake_test_loader

Started

..............F..FFF.......................F......................................................

..................................................................................................

.........................................................

Finished in 37.933325 seconds.

  1) Failure:

test_download_text_file(AttachmentsControllerTest)

    [./test/functional/attachments_controller_test.rb:71:in `test_download_text_file'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `__send__'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `run']:

Expected response to be a <:success>, but was <302>

  2) Failure:

test_show_diff(AttachmentsControllerTest)

    [./test/functional/attachments_controller_test.rb:53:in `test_show_diff'
     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `__send__'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `run']:

Expected response to be a <:success>, but was <302>

  3) Failure:

test_show_other(AttachmentsControllerTest)

    [./test/functional/attachments_controller_test.rb:65:in `test_show_other'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `__send__'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `run']:

Expected response to be a <:success>, but was <302>

  4) Failure:

test_show_text_file(AttachmentsControllerTest)

    [./test/functional/attachments_controller_test.rb:59:in `test_show_text_file'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `__send__'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `run']:

Expected response to be a <:success>, but was <302>

  5) Failure:

test_gantt(IssuesControllerTest)

    [./test/functional/issues_controller_test.rb:143:in `test_gantt'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `__send__'

     /Library/Ruby/Gems/1.8/gems/activesupport-2.1.0/lib/active_support/testing/setup_and_teardown

.rb:67:in `run']:

<false> is not true.

253 tests, 983 assertions, 5 failures, 0 errors

rake aborted!

Command failed with status (1): [/System/Library/Frameworks/Ruby.framework/...]

(See full trace by running task with --trace)

 ruby 1.8.6 (2008-03-03 patchlevel 114) [universal-darwin9.0]

Associated revisions

Revision 1828 - 2008-09-14 14:41 - Jean-Philippe Lang

Functional tests fail when run on their own (#1895).

Revision 1857 - 2008-09-14 17:38 - Nicolas Chuche

r18564@gaspard (orig r1828):  jplang | 2008-09-14 14:41:24 +0200

Functional tests fail when run on their own (#1895).

History

#1 - 2008-09-14 14:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

This should be fixed by r1828.
